<detalle-proveedor *ngIf="compraSeleccionado" [proveedor] ="compraSeleccionado"></detalle-proveedor>

<div class="card border-primary mb-3">
  <div class="card-header">Compras</div>
  <div class="card-body text-primary">
    <h5 class="card-title">listado de Tickets y Facturas de Compras y Detalles</h5>
    <div class="my-2 text-left">
      <button   class="btn btn-rounded btn-primary" type="button" [routerLink]="['/compras/form', 0]">
        Crear Compra no facturada
      </button>
          
    </div>
    <div class="row justify-content-end" style="margin-bottom:10px;">
      <label  style="margin-right:5px;"><strong>Generar Reporte</strong></label>
      <label  style="margin-right:5px;">Fecha Desde: </label>
      <input type="date" id="start" name="trip-start"
       value="2018-07-22"
       min="2018-01-01" max="2021-07-08"  style="margin-right:5px;" [(ngModel)]="fechaDesde">
       <label  style="margin-right:5px;">Fecha Hasta: </label>
       <input type="date" id="start" name="trip-start"
        value="2021-07-08"
        min="2018-01-01" max="2021-07-08"  style="margin-right:5px;"  [(ngModel)]="fechaHasta">
      <button  class="btn btn-rounded btn-primary" type="button"  title="Exportar Excel" (click)="reporteCompra()" >
        Descargar <i
        class="fa fa-file-excel-o" aria-hidden="true"></i>
      </button>
      
    </div>
    <div *ngIf="compras?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-bordered table-striped" *ngIf="compras?.length>0">
      <thead>
        <tr>
          <th>Id Compra</th>
          <th>Proveedor</th>

          <th>descripción</th>
          <th>fecha</th>
          <th>total</th>
          <th>detalle</th>
          <th>eliminar</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let compra of compras">
          <td>{{compra.id}}</td>
          <td>{{compra.proveedor.nombre}}</td>
          <td>{{compra.descripcion}}</td>
          <td>{{compra.createAt}}</td>
          <td>{{compra.total}}</td>
          <td><button class="btn btn-primary btn-sm" type="button"
            [routerLink]="['/compras', compra.id]">ver</button></td>
            <td ><button class="btn btn-danger btn-sm" type="button" (click)="delete(compra)">Anular</button></td>
        </tr>
      </tbody>
    </table>

    <paginator-ventas-nav *ngIf="paginador" [paginador]="paginador"></paginator-ventas-nav>
  </div>
</div>